MMEvents.createProcesses(event => {
    function reaction(itemInput, itemAmount, fluid1, fluidAmount1, fluid2, fluidAmount2, outputFluid, outputFluidAmount, time, recipeId) {    
        event.create("mm:" + recipeId)
        .structureId("mm:reaction_chamber")
        .ticks(time)
        .input({
            type: "mm:input/consume",
            ingredient: {
                type: "mm:item",
                item: itemInput,
                count: itemAmount
            }
        })
        .input({
            type: "mm:input/consume",
            ingredient: {
                type: "mm:fluid",
                fluid: fluid1,
                amount: fluidAmount1
            }
        })
        .input({
            type: "mm:input/consume",
            ingredient: {
                type: "mm:fluid",
                fluid: fluid2,
                amount: fluidAmount2
            }
        }) 
        .output({
            type: "mm:output/simple",
            ingredient: {
                type: "mm:fluid",
                fluid: outputFluid,
                amount: outputFluidAmount
            }
        })
    }

    //InputItem, InputItemAmount, Fluid 1, Fluid 1 Amount, Fluid 2, Fluid 2 Amount, Output Fluid, Output Fluid Amount, Recipe Time, Recipe ID
    reaction('minecraft:sugar', 1, 'minecraft:water', 1000, 'minecraft:water', 1000, 'the_bumblezone:sugar_water_still', 2000, 100, 'sugar_water')
    reaction('minecraft:zombie_head', 1, 'immersiveengineering:biodiesel', 500, 'the_bumblezone:sugar_water_still', 500, 'enderio:nutrient_distillation', 1000, 100, 'nutrient_distillation')
})